Bug 177881 - (lucidlife) Review Request: lucidlife
Review Request: lucidlife
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-15 21:28 EST by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 21:32:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-01-15 21:28:04 EST
Spec Name or Url: http://peter.ramshacklestudios.com/downloads/fedora/extras/lucidlife.spec
SRPM Name or Url: http://peter.ramshacklestudios.com/downloads/fedora/extras/lucidlife-0.9-1.src.rpm

Description: LucidLife is a Conway's Life simulator. The rules are rather simple. The game is started with a large grid of cell locations, and an arbitrary set of living cells. On each turn, each cell thrives or dies based on the number of cells which sourround it. A dead (empty) cell with three live cells around it becomes a living cell (a birth); a living cell with two or three neighbors survives; otherwise the cell dies (due to overcrowding) or remains dead (due to loneliness). It is based on the the GtkLife project, but with a
more modern user interface and other enhancements.
Comment 1 Peter Gordon 2006-01-15 21:29:15 EST
I forgot to add that this is my first submission to Fedora Extras, so I will
need a sponsor. Thanks.
Comment 2 Peter Gordon 2006-01-16 00:10:09 EST
I just thought of something. My spec file currently has a direct dependency on
GTK+ 2.6 or higher. Since FC3 is being end-of-life'd tomorrow with the release
of FC5 Test 2, and FC4 includes GTK+ 2.6, do I really that strict version
dependency there? I know it's probably a very minor issue, but I think it could
help keep the spec file clean. Thanks for your input.
Comment 3 Paul Howarth 2006-01-16 03:03:00 EST
(In reply to comment #2)
> I just thought of something. My spec file currently has a direct dependency on
> GTK+ 2.6 or higher. Since FC3 is being end-of-life'd tomorrow with the release
> of FC5 Test 2, and FC4 includes GTK+ 2.6, do I really that strict version
> dependency there? I know it's probably a very minor issue, but I think it could
> help keep the spec file clean. Thanks for your input.

I would be inclined to leave the explicit requirement, for the benefit of people
that want to rebuild your package for other distros themselves (FC3 will go to
legacy and many people will still use it, and someone rebuilds most Extras
packages for CentOS too - see http://centos.karan.org/).
Comment 4 Peter Gordon 2006-01-16 09:17:18 EST
(In reply to comment #3)
> I would be inclined to leave the explicit requirement, for the benefit of people
> that want to rebuild your package for other distros themselves (FC3 will go to
> legacy and many people will still use it, and someone rebuilds most Extras
> packages for CentOS too - see http://centos.karan.org/).
I agree. Thanks for the advice, Paul. :-)
Comment 5 Brian Pepple 2006-02-19 10:49:13 EST
I don't have permission to sponser you, but here's an initial review:

MD5Sum:
25bcde0ddbe4f7db4a7ea92fcc36b7bc  lucidlife-0.9.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Package builds fine in Mock for FC5.
* Rpmlint does not find problems
* Installs & runs fine.

Bad:
* Desktop file is not handled correctly.  Refer to
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755

Minor:
* Drop the Requires for gtk2 & gnome-vfs2, the devel sonames will pull these in.
* Should probably use %{_datadir}/%{name}/ in the files section in case of
problems with file ownership.
Comment 6 Peter Gordon 2006-02-19 15:56:46 EST
Thanks, Brian. I've updated the .spec file and the source RPM per your suggestions.

Spec:  http://peter.ramshacklestudios.com/downloads/fedora/extras/lucidlife.spec
SRPM: 
http://peter.ramshacklestudios.com/downloads/fedora/extras/lucidlife-0.9-2.src.rpm
Comment 7 John Mahowald 2006-02-26 12:33:07 EST
I concur with Brian in comment 5.

The only other thing I could see was that there were both a lucidlife and a
lucidlife-0.9 dir in the docs dir. If that's too confusing a symlink might fix
it up. Not a blocker though.

APPROVED.

I'll sponsor when you apply for cvsextras.
Comment 8 Peter Gordon 2006-02-26 12:58:52 EST
Thanks, John. :)

I've just submitted my CLA and have applied for membership to cvsextras.
Comment 9 Peter Gordon 2006-02-27 21:32:42 EST
Builds completed. Closing as NEXTRELEASE. Thanks!

Note You need to log in before you can comment on or make changes to this bug.